<?php
/**
 * app/resources/templates/example.inc.php
 *
 * This is an example loader for the example template.
 *
 * @version 3.0
 * @author  Joey Kimsey <Joey@thetempusproject.com>
 * @link    https://TheTempusProject.com
 * @license https://opensource.org/licenses/MIT [MIT LICENSE]
 */
namespace TheTempusProject\Templates;

use TheTempusProject\Houdini\Classes\Views;
use TheTempusProject\Houdini\Classes\Navigation;
use TheTempusProject\Houdini\Classes\Components;
use TheTempusProject\Bedrock\Classes\Config;
use TheTempusProject\TheTempusProject as App;

class ExampleLoader {
    public function __construct() {
        Components::set( 'TEMPLATE_URL', Template::parse( '{ROOT_URL}app/templates/default/' ) );
        Components::set( 'LOGO', Config::get( 'main/logo' ) );
        Components::set( 'FOOT', Views::simpleView( 'foot' ) );
        Components::set( 'COPY', Views::simpleView( 'copy' ) );
        if ( App::$isLoggedIn ) {
            Components::set( 'STATUS', Views::simpleView( 'nav.statusLoggedIn' ) );
            Components::set( 'USERNAME', App::$activeUser->username );
        } else {
            Components::set( 'STATUS', Views::simpleView( 'nav.statusLoggedOut' ) );
        }
        Components::set( 'topNavLeft', Navigation::activePageSelect( 'nav.main' ) );
    }
}
