<!DOCTYPE html>
<html lang="en">
    <!--
     * app/templates/admin/admin.tpl
     *
     * @version 3.0
     * @author  Joey Kimsey <Joey@thetempusproject.com>
     * @link    https://TheTempusProject.com
     * @license https://opensource.org/licenses/MIT [MIT LICENSE]
    -->
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>{TITLE}</title>
        <meta name="description" content="{PAGE_DESCRIPTION}">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        {AUTHOR}
        {ROBOT}
        <link rel="icon" href="{ROOT_URL}images/favicon.ico">
        <!-- Required CSS -->
        <link rel="stylesheet" href="{FONT_AWESOME_URL}font-awesome.min.css" crossorigin="anonymous">
        <link rel="stylesheet" href="{BOOTSTRAP_CDN}css/bootstrap.min.css" crossorigin="anonymous">
        <!-- Custom styles for this template -->
        {TEMPLATE_CSS_INCLUDES}
    </head>
    <body>
        <nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top" role="navigation">
            <!--Brand and toggle should get grouped for better mobile display but I had to account for additional menus-->
            <div class="container-fluid">
                <a href="{ROOT_URL}" class="navbar-brand">{SITENAME}</a>
                <!-- Toggler Button -->
                <button 
                    class="navbar-toggler" 
                    type="button" 
                    data-toggle="collapse" 
                    data-target="#navbarNav" 
                    aria-controls="navbarNav" 
                    aria-expanded="false" 
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="collapse navbar-collapse" id="navbarNav">
                    {topNavLeft}
                    <ul class="navbar-nav ml-auto">
                        {topNavRight}
                    </ul>
                </div>
            </div>
        </nav>
        <div class="container-fluid">
            {ISSUES}
            <div class="row">
                <div class="col-xlg-11 col-xlg-offset-1 col-lg-10 col-lg-offset-2 col-med-offset-2 col-md-10 col-sm-offset-3 col-sm-9 row">
                    {ERROR}
                    {NOTICE}
                    {SUCCESS}
                </div>
            </div>
            {/ISSUES}
            <div class="row">
                <div class="col-xlg-1 col-lg-2 col-med-2">
                    {ADMIN}
                        {ADMINNAV}
                    {/ADMIN}
                </div>
                <div class="col-xlg-11 col-xlg-offset-1 col-lg-10 col-lg-offset-2 col-med-offset-2 col-md-10 col-sm-offset-3 col-sm-9 main">
                    {ADMIN_BREADCRUMBS}
                    {CONTENT}
                </div>
            </div>
        </div>
        <footer>
            <div class="sticky-foot">
                <div class="sticky-foot-head" id=""></div>
                <div class="col-lg-12 col-md-12 col-sm-12 text-center sticky-copy">
                    <p class="text-muted">Powered by <a href="https://thetempusproject.com">The Tempus Project</a>.</p>
                </div>
            </div>
        </footer>
        <!-- Bootstrap core JavaScript and jquery -->
        <script language="JavaScript" crossorigin="anonymous" type="text/javascript" src="{JQUERY_CDN}jquery.min.js"></script>
        <script language="JavaScript" crossorigin="anonymous" type="text/javascript" src="{BOOTSTRAP_CDN}js/bootstrap.min.js"></script>
        <!-- Custom javascript for this template -->
        {TEMPLATE_JS_INCLUDES}
    </body>
</html>